
QGIS Application - Bug report #8885

Buttons (Ok, Cancel) disappear in "Apri Modulo" from Attribute Table

2013-10-17 03:28 AM - Elisabetta Mangioni

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17564

Description

In QGIS 2 it is changed the visualisation of form opened from Attribute Table: instead of open the form in a separate window, the form is

open in the same one.

This is not a problem, but all the buttons disappear...

I create my own form with Qt4 and all the logic with PyQt and the majority of the constraints are associated to the Ok button: now my logic

is unuseful.

It is possible to re-have these buttons?

Thank you,

   Elisabetta

Related issues:

Duplicates QGIS Application - Bug report # 10739: Custom Forms with Python lo... Closed 2014-06-26

Associated revisions

Revision 999a996b - 2013-12-03 09:48 AM - Matthias Kuhn

AttributeForm: Create a dummy button box for intercepting ok clicks

when the ok button is hidden and the accept was actually triggered

by something else. This allows to continue using custom validation

logic without changes.

Fixes #8885

History

#1 - 2013-10-17 03:52 AM - Matthias Kuhn

I don't think this is possible at the moment. These buttons are deactivated, because all changes on these forms are automatically committed (to the edit

buffer).

Would it be an option to, instead of having the constraints connected to the ok button, having them connected to the dialogs accepted() signal?

#2 - 2013-12-03 01:26 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"999a996b733925c78082ffdbd66afea2b7a2c813".

#3 - 2014-05-21 05:04 AM - Matthias Kuhn

- Status changed from Closed to Reopened
It seems this is not fixed. See comment here.

http://gis.stackexchange.com/questions/74640/buttons-ok-cancel-disappear-in-apri-modulo-from-attribute-table-in-qgis-2-0

For a proper implementation of this, PR/1370 needs to be merged.

#4 - 2014-06-21 01:12 PM - Jürgen Fischer

- Category set to Attribute table

#5 - 2014-06-26 11:23 PM - Matthias Kuhn

Closed in favor of #10739

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#8 - 2018-08-16 10:32 AM - Giovanni Manghi

- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
